Search Results for

Show / Hide Table of Contents

# Class OpenDialog

The OpenDialogprovides an interactive dialog box for users to select files or directories.

##### Inheritance

System.Object
Responder
View
Toplevel
Window
Dialog
FileDialog
OpenDialog

##### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize

##### Inherited Members

FileDialog.WillPresent()
FileDialog.Prompt
FileDialog.NameDirLabel
FileDialog.NameFieldLabel
FileDialog.Message
FileDialog.CanCreateDirectories
FileDialog.IsExtensionHidden
FileDialog.DirectoryPath
FileDialog.AllowedFileTypes
FileDialog.AllowsOtherFileTypes
FileDialog.FilePath
FileDialog.Canceled
Dialog.AddButton(Button)
Dialog.ProcessKey(KeyEvent)
Window.Title
Window.Border
Window.Add(View)
Window.Remove(View)
Window.RemoveAll()
Window.Redraw(Rect)
Window.OnCanFocusChanged()
Window.Text
Window.TextAlignment
Toplevel.Running
Toplevel.Loaded
Toplevel.Ready
Toplevel.Unloaded
Toplevel.Activate
Toplevel.Deactivate
Toplevel.ChildClosed
Toplevel.AllChildClosed
Toplevel.Closing
Toplevel.Closed
Toplevel.ChildLoaded
Toplevel.ChildUnloaded
Toplevel.Resized
Toplevel.AlternateForwardKeyChanged
Toplevel.OnAlternateForwardKeyChanged(Key)
Toplevel.AlternateBackwardKeyChanged
Toplevel.OnAlternateBackwardKeyChanged(Key)
Toplevel.QuitKeyChanged
Toplevel.OnQuitKeyChanged(Key)
Toplevel.Create()
Toplevel.CanFocus
Toplevel.Modal
Toplevel.MenuBar
Toplevel.StatusBar
Toplevel.IsMdiContainer
Toplevel.IsMdiChild
Toplevel.OnKeyDown(KeyEvent)
Toplevel.OnKeyUp(KeyEvent)
Toplevel.ProcessColdKey(KeyEvent)
Toplevel.PositionToplevel(Toplevel)
Toplevel.MouseEvent(MouseEvent)
Toplevel.MoveNext()
Toplevel.MovePrevious()
Toplevel.RequestStop()
Toplevel.RequestStop(Toplevel)
Toplevel.PositionCursor()
Toplevel.GetTopMdiChild(Type, String[])
Toplevel.ShowChild(Toplevel)
View.Added
View.Removed
View.Enter
View.Leave
View.MouseEnter
View.MouseLeave
View.MouseClick
View.CanFocusChanged
View.EnabledChanged
View.VisibleChanged
View.HotKeyChanged
View.HotKey
View.HotKeySpecifier
View.Shortcut
View.ShortcutTag
View.ShortcutAction
View.Data
View.Driver
View.Subviews
View.TabIndexes
View.TabIndex
View.TabStop
View.Id
View.IsCurrentTop
View.WantMousePositionReports
View.WantContinuousButtonPressed
View.Frame
View.LayoutStyle
View.Bounds
View.X
View.Y
View.Width
View.Height
View.SuperView
View.SetNeedsDisplay()
View.ClearLayoutNeeded()
View.SetNeedsDisplay(Rect)
View.SetChildNeedsDisplay()
View.Add(View[])
View.BringSubviewToFront(View)
View.SendSubviewToBack(View)
View.SendSubviewBackwards(View)
View.BringSubviewForward(View)
View.Clear()
View.Clear(Rect)
View.ScreenToView(Int32, Int32)
View.ClipToBounds()
View.SetClip(Rect)
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Attribute, Attribute)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.Move(Int32, Int32, Boolean)
View.HasFocus
View.OnAdded(View)
View.OnRemoved(View)
View.OnEnter(View)
View.OnLeave(View)
View.Focused
View.MostFocused
View.ColorScheme
View.AddRune(Int32, Int32, Rune)
View.ClearNeedsDisplay()
View.DrawContent
View.OnDrawContent(Rect)
View.DrawContentComplete
View.OnDrawContentComplete(Rect)
View.SetFocus()
View.KeyPress
View.InvokeKeybindings(KeyEvent)
View.AddKeyBinding(Key, Command)
View.ReplaceKeyBinding(Key, Key)
View.ContainsKeyBinding(Key)
View.ClearKeybindings()
View.ClearKeybinding(Key)
View.ClearKeybinding(Command)
View.AddCommand(Command, Func<Nullable<Boolean>>)
View.GetSupportedCommands()
View.GetKeyFromCommand(Command)
View.ProcessHotKey(KeyEvent)
View.KeyDown
View.KeyUp
View.EnsureFocus()
View.FocusFirst()
View.FocusLast()
View.FocusPrev()
View.FocusNext()
View.LayoutStarted
View.LayoutComplete
View.Initialized
View.LayoutSubviews()
View.AutoSize
View.VerticalTextAlignment
View.TextDirection
View.IsInitialized
View.Enabled
View.Visible
View.ToString()
View.OnMouseEnter(MouseEvent)
View.OnMouseLeave(MouseEvent)
View.OnMouseEvent(MouseEvent)
View.OnMouseClick(View.MouseEventArgs)
View.OnEnabledChanged()
View.OnVisibleChanged()
View.Dispose(Boolean)
View.BeginInit()
View.EndInit()
View.SetWidth(Int32, Int32)
View.SetHeight(Int32, Int32)
View.GetCurrentWidth(Int32)
View.GetCurrentHeight(Int32)
View.GetNormalColor()
View.GetTopSuperView()
Responder.Dispose()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class OpenDialog : FileDialog, IDisposable, ISupportInitializeNotification, ISupportInitialize

##### Remarks

The open dialog can be used to select files for opening, it can be configured to allow multiple items to be selected (based on the AllowsMultipleSelection) variable and you can control whether this should allow files or directories to be selected.

To use, create an instance of OpenDialog, and pass it to Run(Func<Exception, Boolean>). This will run the dialog modally, and when this returns, the list of files will be available on the FilePaths property.

To select more than one file, users can use the spacebar, or control-t.

### Constructors

#### OpenDialog()

Initializes a new OpenDialog.

##### Declaration

    public OpenDialog()

#### OpenDialog(ustring, ustring, List<String>, OpenDialog.OpenMode)

Initializes a new OpenDialog.

##### Declaration

    public OpenDialog(ustring title, ustring message, List<string> allowedTypes = null, OpenDialog.OpenMode openMode = OpenDialog.OpenMode.File)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | The title.
NStack.ustring | message | The message.
System.Collections.Generic.List<System.String> | allowedTypes | The allowed types.
OpenDialog.OpenMode | openMode | The open mode.

### Properties

#### AllowsMultipleSelection

Gets or sets a value indicating whether this OpenDialog allows multiple selection.

##### Declaration

    public bool AllowsMultipleSelection { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if allows multiple selection; otherwise, `false`, defaults to false.

#### CanChooseDirectories

Gets or sets a value indicating whether this OpenDialog can choose directories.

##### Declaration

    public bool CanChooseDirectories { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if can choose directories; otherwise, `false` defaults to `false`.

#### CanChooseFiles

Gets or sets a value indicating whether this OpenDialog can choose files.

##### Declaration

    public bool CanChooseFiles { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if can choose files; otherwise, `false`. Defaults to `true`

#### FilePaths

Returns the selected files, or an empty list if nothing has been selected

##### Declaration

    public IReadOnlyList<string> FilePaths { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyList<System.String> | The file paths.

### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize